Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QCoreApplication.Encoding

    java.lang.Object
      java.lang.Enum<QCoreApplication.Encoding>
          com.trolltech.qt.core.QCoreApplication.Encoding

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QCoreApplication.Encoding>

Enclosing class:
  QCoreApplication

    public static enum QCoreApplication.Encoding

extends java.lang.Enum<QCoreApplication.Encoding>
implements QtEnumerator

This enum type defines the 8-bit encoding of character string arguments to translate().

Constant | Value | Description
--- | --- | ---
`CodecForTr` | `0` | The encoding specified by QTextCodec::codecForTr() (Latin-1 if none has been set).
`UnicodeUTF8` | `1` | UTF-8.
`DefaultCodec` | `0` | (Obsolete) Use `CodecForTr` instead.

See Also:
  `QObject::tr`, `QObject::trUtf8`, `QString::fromUtf8`

Enum Constant Summary
`CodecForTr` The encoding specified by QTextCodec::codecForTr() (Latin-1 if none has been set).
`UnicodeUTF8` UTF-8.

Method Summary
`static QCoreApplication.Encoding` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QCoreApplication.Encoding` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QCoreApplication.Encoding[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CodecForTr

    public static final QCoreApplication.Encoding CodecForTr

  The encoding specified by QTextCodec::codecForTr() (Latin-1 if none has been set).

### UnicodeUTF8

    public static final QCoreApplication.Encoding UnicodeUTF8

  UTF-8.

Method Detail

### values

    public static final QCoreApplication.Encoding[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QCoreApplication.Encoding c : QCoreApplication.Encoding.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QCoreApplication.Encoding valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QCoreApplication.Encoding resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD